using System;
using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Media.Animation;

namespace AgApp
{
	public static class PageLoader
	{

		public static void LoadDefaultAspx()
		{
			HtmlPage.Window.Navigate(new Uri("Default.aspx", UriKind.RelativeOrAbsolute));
		}

		public static void LoadPageIndex()
		{
			TransitionBase transition = new CompositeTransition(
				new FadeTransition(TimeSpan.FromSeconds(1)),
				new WipeTransition(WipeTransition.WipeDirection.LeftToRight));
			NavigationHelper.Navigate(transition, new Page_Index());
		}

		public static void LoadPageWithTwoDragDropListBoxes()
		{
			TransitionBase transition = new CompositeTransition(
				new FadeTransition(TimeSpan.FromSeconds(1)),
				new WipeTransition(WipeTransition.WipeDirection.LeftToRight));
			NavigationHelper.Navigate(transition, new Page_1());
		}

		public static void LoadPageWithDragDropInTab()
		{
			TransitionBase transition = new CompositeTransition(
				new FadeTransition(TimeSpan.FromSeconds(1)),
				new WipeTransition(WipeTransition.WipeDirection.LeftToRight));
			NavigationHelper.Navigate(transition, new Page_2());
		}

		public static void LoadPageWithDragDropThroughNestedUserControl()
		{
			TransitionBase transition = new CompositeTransition(
				new FadeTransition(TimeSpan.FromSeconds(1)),
				new WipeTransition(WipeTransition.WipeDirection.LeftToRight));
			NavigationHelper.Navigate(transition, new Page_3());
		}
	}
}